Bug 111428 - [CI][BAT] igt@runner@aborted - fail - Unclaimed read from register 0x64040
Summary: [CI][BAT] igt@runner@aborted - fail - Unclaimed read from register 0x64040
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-19 13:42 UTC by Martin Peres
Modified: 2019-09-11 05:45 UTC (History)
1 user (show)

See Also:
i915 platform: TGL
i915 features: power/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-08-19 13:42:38 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5139/fi-tgl-u/igt@runner@aborted.html

Aborting.
Previous test: nothing
Next test: core_auth (basic-auth)

Kernel badly tainted (0x200) (check dmesg for details):
	(0x200) TAINT_WARN: WARN_ON has happened.


From https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5139/fi-tgl-u/boot0.log:

<7>[   12.162267] [drm:intel_disable_pipe [i915]] disabling pipe A
<4>[   12.178171] ------------[ cut here ]------------
<4>[   12.178178] Unclaimed read from register 0x64040
<4>[   12.178263] WARNING: CPU: 7 PID: 7 at drivers/gpu/drm/i915/intel_uncore.c:1101 __unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   12.178266] Modules linked in: i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul ax88179_178a usbnet crc32_pclmul mii ghash_clmulni_intel prime_numbers
<4>[   12.178280] CPU: 7 PID: 7 Comm: kworker/u16:0 Tainted: G        W         5.3.0-rc5-CI-CI_DRM_6734+ #1
<4>[   12.178283] Hardware name: Intel Corporation Tiger Lake Client Platform/TigerLake U DDR4 SODIMM RVP, BIOS TGLSFWI1.R00.2271.A00.1907010753 07/01/2019
<4>[   12.178290] Workqueue: events_unbound async_run_entry_fn
<4>[   12.178346] RIP: 0010:__unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   12.178349] Code: 74 05 5b 5d 41 5c c3 45 84 e4 48 c7 c0 ea ef 28 a0 48 c7 c6 e0 ef 28 a0 48 0f 44 f0 89 ea 48 c7 c7 f3 ef 28 a0 e8 60 f1 fe e0 <0f> 0b 83 2d d7 8d 26 00 01 5b 5d 41 5c c3 66 90 41 57 41 56 41 55
<4>[   12.178351] RSP: 0018:ffffc900000df850 EFLAGS: 00010086
<4>[   12.178354] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000003
<4>[   12.178356] RDX: 0000000080000003 RSI: 0000000000000000 RDI: 00000000ffffffff
<4>[   12.178358] RBP: 0000000000064040 R08: 0000000000000000 R09: 0000000000000001
<4>[   12.178360] R10: 0000000041cfa1c1 R11: 000000005f7953ad R12: 0000000000000001
<4>[   12.178362] R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000206
<4>[   12.178364] FS:  0000000000000000(0000) GS:ffff8884a0780000(0000) knlGS:0000000000000000
<4>[   12.178366] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[   12.178368] CR2: 000055eb29467818 CR3: 00000004956a8001 CR4: 0000000000760ee0
<4>[   12.178370] PKRU: 55555554
<4>[   12.178372] Call Trace:
<4>[   12.178428]  gen11_fwtable_read32+0x246/0x320 [i915]
<4>[   12.178520]  intel_disable_ddi_buf+0x86/0x140 [i915]
<4>[   12.178609]  intel_ddi_post_disable+0x10c/0x2a0 [i915]
<4>[   12.178697]  intel_encoders_post_disable.isra.23+0x61/0x80 [i915]
<4>[   12.178782]  haswell_crtc_disable+0xab/0x120 [i915]
<4>[   12.178867]  intel_atomic_commit_tail+0xa0b/0x1520 [i915]
<4>[   12.178967]  intel_atomic_commit+0x273/0x2f0 [i915]
<4>[   12.178981]  drm_client_modeset_commit_atomic+0x18b/0x220
<4>[   12.179004]  drm_client_modeset_commit_force+0x52/0x1b0
<4>[   12.179015]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
<4>[   12.179020]  drm_fb_helper_set_par+0x24/0x50
<4>[   12.179104]  intel_fbdev_set_par+0x11/0x30 [i915]
<4>[   12.179110]  ? con_is_visible+0x22/0x50
<4>[   12.179116]  fbcon_init+0x37c/0x620
<4>[   12.179127]  visual_init+0xc9/0x130
<4>[   12.179132]  do_bind_con_driver+0x200/0x420
<4>[   12.179145]  do_take_over_console+0x71/0x1a0
<4>[   12.179152]  do_fbcon_takeover+0x53/0xb0
<4>[   12.179158]  register_framebuffer+0x229/0x330
<4>[   12.179172]  __drm_fb_helper_initial_config_and_unlock+0x324/0x5c0
<4>[   12.179265]  intel_fbdev_initial_config+0xf/0x20 [i915]
<4>[   12.179270]  async_run_entry_fn+0x34/0x160
<4>[   12.179277]  process_one_work+0x245/0x610
<4>[   12.179291]  worker_thread+0x37/0x380
<4>[   12.179298]  ? process_one_work+0x610/0x610
<4>[   12.179301]  kthread+0x119/0x130
<4>[   12.179306]  ? kthread_park+0xa0/0xa0
<4>[   12.179315]  ret_from_fork+0x24/0x50
<4>[   12.179334] irq event stamp: 26344
<4>[   12.179338] hardirqs last  enabled at (26343): [<ffffffff819cdd0c>] _raw_spin_unlock_irqrestore+0x4c/0x60
<4>[   12.179342] hardirqs last disabled at (26344): [<ffffffff819cdb7d>] _raw_spin_lock_irqsave+0xd/0x50
<4>[   12.179345] softirqs last  enabled at (26276): [<ffffffff81c0033e>] __do_softirq+0x33e/0x4ae
<4>[   12.179349] softirqs last disabled at (26267): [<ffffffff810b8169>] irq_exit+0xa9/0xc0
<4>[   12.179412] WARNING: CPU: 7 PID: 7 at drivers/gpu/drm/i915/intel_uncore.c:1101 __unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   12.179415] ---[ end trace 002a6c22bd4b103c ]---
Comment 1 Martin Peres 2019-08-19 13:43:36 UTC
Should get fixed by https://patchwork.freedesktop.org/series/65290/.
Comment 2 CI Bug Log 2019-08-19 13:44:24 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@runner@aborted - fail - Previous test: nothing
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5139/fi-tgl-u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5140/fi-tgl-u/igt@runner@aborted.html
Comment 3 CI Bug Log 2019-09-11 05:44:56 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 4 Martin Peres 2019-09-11 05:45:25 UTC
The fix has landed, closing! Thanks to everyone involved!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.